#!/usr/bin/env python
# -*- coding: utf-8 -*- #
from __future__ import unicode_literals

AUTHOR = 'theo'
SITENAME = 'theo lem'
SITEURL = ''

PATH = 'content'

TIMEZONE = 'Europe/Paris'

DEFAULT_LANG = 'fr'

DEFAULT_ORPHANS = 0
PAGINATED_TEMPLATES = {'category': 10}
DEFAULT_PAGINATION = 10

# Feed generation is usually not desired when developing
FEED_ALL_ATOM = None
CATEGORY_FEED_ATOM = None
TRANSLATION_FEED_ATOM = None
AUTHOR_FEED_ATOM = None
AUTHOR_FEED_RSS = None

# # Blogroll
# LINKS = (('Pelican', 'http://getpelican.com/'),
#          ('Python.org', 'http://python.org/'),
#          ('Jinja2', 'http://jinja.pocoo.org/'),
#          ('You can modify those links in your config file', '#'),)

# # Social widget
# SOCIAL = (('You can add links in your config file', '#'),
#           ('Another social link', '#'),)

DEFAULT_DATE_FORMAT = '%a %d %B %Y'

CSS_FILE = 'main.css'
THEME = 'themes/theo_lem'

PLUGIN_PATHS = ['plugins']
PLUGINS = ['dither']

# Dither plugin conf
IMAGE_PATH = 'images'
LEAVEALONE_EXT = ['.svg']
# DITHER_DIR The subdirectory where all dithered versions of your images are stored, defaults to dithers
# THRESHOLD this essentially sets the contrast on the final image. Defaults to [96, 96, 96], make sure it is a list of three numbers ranging from 0-255.
# RESIZE_OUTPUT Whether the dithered images should be resized. Defaults to True
# MAX_SIZE Max size to resize to. Uses the largest value (width or height) and preserves aspect ratio. Defaults to (800,800)
# DITHER_PALETTE What palette to use for dithering. Needs a list of RGB tuples. Defaults to a six tone greyscale palette: [(25,25,25), (75,75,75),(125,125,125),(175,175,175),(225,225,225),(250,250,250)] See hitherdither for more info.



# Uncomment following line if you want document-relative URLs when developing
#RELATIVE_URLS = True

# Custom Jinja2 filter to get the Index page from Markdown
# From https://siongui.github.io/2016/02/19/pelican-generate-index-html-by-rst-or-md/
def hidden_pages_get_page_with_slug_index(hidden_pages):
  for page in hidden_pages:
      if page.slug == "index":
          return page

JINJA_FILTERS = {
    "hidden_pages_get_page_with_slug_index": hidden_pages_get_page_with_slug_index,
}

